export declare class MinMaxFinder {
    private minMaxSeekingFunction;
    private tolerance;
    private maxIterations;
    private ax;
    private bx;
    private cx;
    private _iterationCount;
    private fx;
    private isMin;
    constructor(minMaxSeekingFunction: Function, tolerance: number, maxIterations: number, ax: number, bx: number, cx: number);
    getXAtMinMax(): number;
    readonly foundMaximum: boolean;
    readonly foundMinimum: boolean;
    readonly lastY: number;
    readonly iterationCount: number;
}
