import { SphericalPosition } from './spherical-position';
import { Angle, Unit } from './angle';
import { Point3D } from './ks-math';
export declare class SphericalPosition3D extends SphericalPosition {
    protected _radius: number;
    static convertRectangular(xOrPoint: number | Point3D, y?: number, z?: number): SphericalPosition3D;
    static from2D(pos: SphericalPosition, radius: number): SphericalPosition3D;
    constructor(longitude?: Angle | number, latitude?: Angle | number, _radius?: number, longUnit?: Unit, latUnit?: Unit);
    readonly radius: number;
    readonly xyz: Point3D;
    translate(newOrigin: SphericalPosition3D): SphericalPosition3D;
    toString(): string;
}
