import { Angle, Unit } from './angle';
export declare class SphericalPosition {
    protected _longitude: Angle;
    protected _latitude: Angle;
    constructor(longitude?: Angle | number, latitude?: Angle | number, longUnit?: Unit, latUnit?: Unit);
    readonly longitude: Angle;
    readonly rightAscension: Angle;
    readonly altitude: Angle;
    readonly azimuth: Angle;
    readonly latitude: Angle;
    readonly declination: Angle;
    distanceFrom(p: SphericalPosition): Angle;
    toString(): string;
}
